Package com.plannaplan.configutils

# Class FileToDatabaseMigrator

java.lang.Object
com.plannaplan.configutils.FileToDatabaseMigrator

    @Component
    public class FileToDatabaseMigrator
    extends java.lang.Object

FileToDatabaseMigrator is used for migrate data from file (it reads line by line) and push it into database

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`FileToDatabaseMigrator()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `migrate​(FileData data)` | insert data to database

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileToDatabaseMigrator

public FileToDatabaseMigrator()

## Method Details

### migrate

public void migrate​(FileData data)
insert data to database

Parameters:
  `data` - FileData imported from file